Back in a much earlier post we looked at some code to access the pickfirst selection set. I thought I'd now take a look at the more specific case of defining a command that adds entities into the current pickfirst selection set. Here's some C# code I used to do this, with comments describing its behaviour. The most interesting point is that once we get the contents of the existing pickfirst set we then clear it and rehighlight the entities manually, to give the user a graphical clue of the previous contents. using Autodesk.AutoCAD.ApplicationServices; using Autodesk.AutoCAD.DatabaseServices; using Autodesk.AutoCAD.EditorInput; using... Read more →